close all, clear all; clc;

%% Dataset uploading
% For dataset uploading via excel sheet named PROJECT. 
% Training dataset should be kept in the TR sheet and the Testing dataset should be kept in the TS sheet. 
% The output value should be placed at the right most column.

train=xlsread('PROJECT', 'TR');
test=xlsread('PROJECT', 'TS');
xtrain = train(:,1:end-1); ytrain = train(:,end);
xtest = test(:,1:end-1); ytest = test(:,end);

%% Loading of model 
load anfis_igwo_mdd

%% Prediction of training and testing outputs (normalized value)
Pr_train_norm=evalfis(xtrain,fis);
Pr_test_norm=evalfis(xtest,fis);

%% De-normalization (for OMC)
% Pr_train_act=(Pr_train_norm*24)+7;
% Pr_test_act=(Pr_test_norm*24)+7;

%% De-normalization (for MDD)
Pr_train_act=(Pr_train_norm*7.7499)+13.7340;
Pr_test_act=(Pr_test_norm*7.7499)+13.7340;
disp('Model run completed !!!');